#_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
#@name      [Lepp]ƑPingProgram
#
#@version   1.00 - Mon Oct 19, 2020
#
#@author    Syunzi Shimohata    <webmaster@taru-net.jp>   https://www.taru-net.jp/
#           Online Reference [https://www.taru-net.jp/download/lepp/]
#
#@copyright (C) 2020, Syunzi Shimohata. Japan. All Rights Reserved.
#_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/


Set-StrictMode -Version 2.0

$objTestConnection = New-Object System.Management.ManagementObject
$objArrayIPAddress = New-Object System.Collections.ArrayList
$objArraySysName = New-Object System.Collections.ArrayList


#-------------------------------------------------------------------------------
#CAǋL鎖ňҏW鎖܂B

$objArrayIPAddress.Add("192.168.1.1")
$objArraySysName.Add("Shimohatap\R")

$objArrayIPAddress.Add("192.168.1.2")
$objArraySysName.Add("֓p\R")

$objArrayIPAddress.Add("192.168.1.254")
$objArraySysName.Add("p\Rp[^[")

$objArrayIPAddress.Add("192.168.50.5")
$objArraySysName.Add("5F-t@CT[o")

$objArrayIPAddress.Add("192.168.40.5")
$objArraySysName.Add("4F-t@CT[o")

$objArrayIPAddress.Add("10.10.1.254")
$objArraySysName.Add("㋒_lbg[N@")

$objArrayIPAddress.Add("10.20.1.254")
$objArraySysName.Add("_lbg[N@")

#-------------------------------------------------------------------------------


##
[int]$count = 0

##
[string]$strIPAddress = ""
[string]$result = ""
[string]$csv = ""


@(1..3) | foreach {
	$count = 0

	foreach ($strIPAddress in $objArrayIPAddress) {
		try {
			$objTestConnection = Test-Connection $strIPAddress -count 1 -ErrorAction Stop
			$result = ""

		} catch [Exception] {
			$result = "~"
		}

		$csv = $result + "," + $strIPAddress + "," + $objArraySysName[$count] + "," + $objTestConnection.ResponseTime
        	$csv | ConvertFrom-Csv -Header @("Result", "TargetIP", "SystemName", "ResponseTime(ms)")

		$count = $count + 1
	}

} | Out-GridView -Title "[Lepp]ƑPingProgram"
